Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
Class TemporaryMethodKey

A temporary implementation of MethodKey used to perform a fast lookup for a method using a set of arguments to a method

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`def` | `parameterValues`

Constructor Summary
`TemporaryMethodKey(Class sender, String name, def parameterValues, boolean isCallToSuper)`

Method Summary
`int` | `getParameterCount()`
`Class` | `getParameterType(int index)`

Constructor Detail

### TemporaryMethodKey

    public TemporaryMethodKey(Class sender, String name, def parameterValues, boolean isCallToSuper)

Method Detail

### getParameterCount

    public int getParameterCount()

### getParameterType

    public Class getParameterType(int index)